from setuptools import setup

# read the contents of your README file
from os import path

this_directory = path.abspath(path.dirname(__file__))
with open(path.join(this_directory, "README.md"), encoding="utf-8") as f:
    long_description = f.read()

setup(
    name="cz_universal_git_jira_conventional",
    version="1.2.1",
    py_modules=["cz_universal_git_jira_conventional"],
    author="Henrique Marcuzzo",
    author_email="henrique.souza.m06@gmail.com",
    license="MIT",
    url="https://github.com/hmarcuzzo/cz-universal-git-jira-conventional",
    install_requires=["commitizen"],
    description="Extend the commitizen tools to create conventional commits and README that link to Jira and GitHub.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    entry_points={
        "commitizen.plugin": [
            "cz_universal_git_jira_conventional = cz_universal_git_jira_conventional:UniversalGitJiraConventionalCz"
        ]
    },
)
